INTERFACE
SUBROUTINE GPGRGEOAD(&
 & LDNHDYN,KPROMA,KD,KF,KFLEV,&
 & PT,PR,PRTL,PRTM,&
 & PLNPR,PLNPRL,PLNPRM,PALPH,PALPHL,PALPHM,&
 & PHIFL,PHIFM,PHIHL,PHIHM,&
 & PREHYDSPRE5,PT5,PR5,PRT5L,PRT5M,&
 & PLNPR5,PLNPR5L,PLNPR5M,PALPH5,PALPH5L,PALPH5M&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
LOGICAL ,INTENT(IN) :: LDNHDYN
INTEGER(KIND=JPIM),INTENT(IN) :: KD
INTEGER(KIND=JPIM),INTENT(IN) :: KF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPRL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPRM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPHL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPHM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIFM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIHL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIHM(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PREHYDSPRE5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5M(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5M(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5M(KPROMA,KFLEV)
END SUBROUTINE GPGRGEOAD
END INTERFACE
